Skip to main content
GET
/
operators
/
{address}
/
allocations
Retrieve all allocations for an operator addresses
curl --request GET \
  --url https://api.eigenexplorer.com/operators/{address}/allocations \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/operators/{address}/allocations"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/operators/{address}/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "avsAddress": "0xba7cda36abeb28ad200591e6e4a963359b1f43df",
      "operatorSetId": 0,
      "operatorAddress": "0xd9322bb31f42c7caa12daad49699d655393f9524",
      "strategyAddress": "0x7d704507b76571a51d9cae8addabbfd0ba0e63d3",
      "magnitude": "100000",
      "effectBlock": 3326552,
      "createdAt": "2025-02-01T00:00:00.000Z",
      "createdAtBlock": 3325343,
      "updatedAt": "2025-02-01T00:00:00.000Z",
      "updatedAtBlock": 3325343
    }
  ],
  "meta": {
    "total": 30,
    "skip": 0,
    "take": 12
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the operator

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x00107cfdeaddc0a3160ed2f6fedd627f313e7b1a"

Query Parameters

avsAddress
string

The address of the AVS

Pattern: ^0x[a-fA-F0-9]{40}$
operatorSetId
string
Pattern: ^\d+$
strategyAddress
string

The address of the restaking strategy

Pattern: ^0x[a-fA-F0-9]{40}$
skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The list of allocations.

data
object[]
required
meta
object
required